#!/bin/sh
#
# Written by Troy Dawson February 18, 2002
#
# Sync up linux1 to linux
#  This script is supposed to sync up the whole /export/linux directory
#
# $Id: rsync.linux.vortex.redhat.72.sh,v 1.5 2002/04/02 14:22:41 dawson Exp $
#*********************
# variables
#*********************
SOURCE="linux.fnal.gov"
SOURCEDIR="/export/linux/"
DESTDIR="/mnt/src/"
#MAILLIST="dawson@fnal.gov,csieh@fnal.gov"
MAILLIST="csieh@fnal.gov"
SCRIPT="rsync.linux.quartz.73rolling.workgroups"
LOGFILE="/var/log/rsync.log"
MAILFILE="/tmp/$SCRIPT.mailfile"
TEMPFILE="/tmp/$SCRIPT"

#*********************
# Do The Work
#*********************
#/usr/krb5/bin/kinit -k
rm -f $TEMPFILE
/usr/bin/rsync $1 -avzl -e "ssh -c blowfish -l root" --rsync-path=/usr/bin/rsync --delete --exclude=headers $SOURCE:$SOURCEDIR/73rolling/i386/Fermi/workgroups/ $DESTDIR/73rolling/i386/Fermi/workgroups/  >> $TEMPFILE 2>&1


#*********************
# Log It and Mail It if necessary
#*********************
if [ -s $TEMPFILE ] ; then
	# Make the mail/log file
	HOST="$(uname -n)"
	echo "**************************" > $MAILFILE
	echo "Rsync changes" >> $MAILFILE
	echo "Script: $SCRIPT" >> $MAILFILE
	echo "Source: $SOURCE  Destination: $HOST" >> $MAILFILE
	date >> $MAILFILE
	echo "**************************" >> $MAILFILE
	cat $TEMPFILE >> $MAILFILE

	# Mail it
	/bin/mail -s "RSYNC: $SOURCE to $HOST" $MAILLIST < $MAILFILE

	# Log it
	cat $MAILFILE >> $LOGFILE	
fi
